# Class CIM_BGPStatistics
extends CIM_ServiceStatisticalInformation

This class contains statistical information for a Service's sessions. It is deprecated since the statistics are defined in the BGP4 MIB at the level of individual peers/ endpoints.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_StatisticalInformation
|
+--CIM_ServiceStatisticalInformation
|
+--CIM_BGPStatistics

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Deprecated | string | CIM_BGPEndpointStatistics
Description | string | This class contains statistical information for a Service's sessions. It is deprecated since the statistics are defined in the BGP4 MIB at the level of individual peers/ endpoints.
UMLPackagePath | string | CIM::Network::BGP
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
FsmEstablishedTime | uint32 |
Deprecated | string | CIM_BGPEndpointStatistics.FsmEstablishedTime
Description | string | This indicates how long, in seconds, this peer has been in the established state, or how long since this peer was last in the established state. It is set to zero when a new peer is configured or when the router is booted. This has the semantics of a 32-bit gauge.
Gauge | boolean | true
MappingStrings | string | MIB.IETF|BGP4-MIB.bgpPeerFsmEstablishedTime
Units | string | Seconds
FsmEstablishedTransitions | uint32 |
Counter | boolean | true
Deprecated | string | CIM_BGPEndpointStatistics.FsmEstablishedTransitions
Description | string | This contains the total number of times that the BGP Finite State Machine has transitioned into the established state for this router's BGP connection. This is a 32-bit counter.
MappingStrings | string | MIB.IETF|BGP4-MIB.bgpPeerFsmEstablishedTransitions
InTotalMessages | uint32 |
Counter | boolean | true
Deprecated | string | CIM_BGPEndpointStatistics.InTotalMessages
Description | string | This is the total number of BGP messages received on this router's BGP connection. This is a 32-bit counter.
MappingStrings | string | MIB.IETF|BGP4-MIB.bgpPeerInTotalMessages
InUpdateElapsedTime | uint32 |
Deprecated | string | CIM_BGPEndpointStatistics.InUpdateElapsedTime
Description | string | This defines the time in seconds since the last BGP UPDATE message was received from the peer. This has the semantics of a 32-bit gauge.
Gauge | boolean | true
MappingStrings | string | MIB.IETF|BGP4-MIB.bgpPeerInUpdateElapsedTime
Units | string | Seconds
InUpdates | uint32 |
Counter | boolean | true
Deprecated | string | CIM_BGPEndpointStatistics.InUpdates
Description | string | This is the number of BGP UPDATE messages received on this router's BGP connection. This is a 32-bit counter.
MappingStrings | string | MIB.IETF|BGP4-MIB.bgpPeerInUpdates
OutTotalMessages | uint32 |
Counter | boolean | true
Deprecated | string | CIM_BGPEndpointStatistics.OutTotalMessages
Description | string | This is the total number of BGP messages transmitted on this router's BGP connection. This is a 32-bit counter.
MappingStrings | string | MIB.IETF|BGP4-MIB.bgpPeerOutTotalMessages
OutUpdates | uint32 |
Counter | boolean | true
Deprecated | string | CIM_BGPEndpointStatistics.OutUpdates
Description | string | This is the number of BGP UPDATE messages transmitted on this router's BGP connection. This is a 32-bit counter.
MappingStrings | string | MIB.IETF|BGP4-MIB.bgpPeerOutUpdates
LastError | uint8[] |
Deprecated | string | CIM_BGPEndpointStatistics.LastError
Description | string | This contains the last error code and error subcode for this router's BGP connection. If no error has occurred, then each integer in the array is zero.
MappingStrings | string | MIB.IETF|BGP4-MIB.bgpPeerLastError

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CreationClassName | string | CIM_ServiceStatisticalInformation
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_ServiceStatisticalInformation
ServiceCreationClassName | string | CIM_ServiceStatisticalInformation
ServiceName | string | CIM_ServiceStatisticalInformation
SystemCreationClassName | string | CIM_ServiceStatisticalInformation
SystemName | string | CIM_ServiceStatisticalInformation

## Class Methods